<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PushSoapInterfaceException StructType
 * @subpackage Structs
 */
class PushSoapInterfaceException extends AbstractStructBase
{
    /**
     * The PushSoapInterfaceException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Exception
     */
    public $PushSoapInterfaceException;
    /**
     * Constructor method for PushSoapInterfaceException
     * @uses PushSoapInterfaceException::setPushSoapInterfaceException()
     * @param \StructType\Exception $pushSoapInterfaceException
     */
    public function __construct(\StructType\Exception $pushSoapInterfaceException = null)
    {
        $this
            ->setPushSoapInterfaceException($pushSoapInterfaceException);
    }
    /**
     * Get PushSoapInterfaceException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Exception|null
     */
    public function getPushSoapInterfaceException()
    {
        return isset($this->PushSoapInterfaceException) ? $this->PushSoapInterfaceException : null;
    }
    /**
     * Set PushSoapInterfaceException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Exception $pushSoapInterfaceException
     * @return \StructType\PushSoapInterfaceException
     */
    public function setPushSoapInterfaceException(\StructType\Exception $pushSoapInterfaceException = null)
    {
        if (is_null($pushSoapInterfaceException) || (is_array($pushSoapInterfaceException) && empty($pushSoapInterfaceException))) {
            unset($this->PushSoapInterfaceException);
        } else {
            $this->PushSoapInterfaceException = $pushSoapInterfaceException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PushSoapInterfaceException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
